> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all counterparts



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/counterparts
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/counterparts:
    get:
      tags:
        - Counterparts
      summary: Get all counterparts
      operationId: get_counterparts
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - description: The IBAN of the counterpart's bank account.
          required: false
          schema:
            type: string
            maxLength: 34
          name: iban
          in: query
        - description: The bank's sort code.
          required: false
          schema:
            type: string
            maxLength: 100
          example: '123456'
          name: sort_code
          in: query
        - description: >-
            The bank account number. Required for US bank accounts to accept ACH
            payments. US account numbers contain 9 to 12 digits. UK account
            numbers typically contain 8 digits.
          required: false
          schema:
            type: string
            maxLength: 100
          name: account_number
          in: query
        - description: The tax ID of the counterpart.
          required: false
          schema:
            type: string
            maxLength: 30
          name: tax_id
          in: query
        - description: The VAT ID of the counterpart.
          required: false
          schema:
            type: string
            maxLength: 30
          name: vat_id
          in: query
        - description: A list of counterpart IDs to search through.
          required: false
          schema:
            items:
              type: string
              format: uuid
            type: array
          name: id__in
          in: query
        - description: >-
            Sort order (ascending by default). Typically used together with the
            `sort` parameter.
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/OrderEnum'
            default: asc
          name: order
          in: query
        - description: >-
            The number of items (0 .. 100) to return in a single page of the
            response. The response may contain fewer items if it is the last or
            only page.
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
          name: limit
          in: query
        - description: >-
            A pagination token obtained from a previous call to this endpoint.
            Use it to get the next or previous page of results for your initial
            query. If `pagination_token` is specified, all other query
            parameters are ignored and inferred from the initial query.


            If not specified, the first page of results will be returned.
          required: false
          schema:
            type: string
          name: pagination_token
          in: query
        - description: >-
            The field to sort the results by. Typically used together with the
            `order` parameter.
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/CounterpartCursorFields'
          name: sort
          in: query
        - required: false
          schema:
            $ref: '#/components/schemas/CounterpartType'
          name: type
          in: query
        - required: false
          schema:
            type: string
          name: counterpart_name
          in: query
        - required: false
          schema:
            type: string
          name: counterpart_name__iexact
          in: query
        - required: false
          schema:
            type: string
          name: counterpart_name__contains
          in: query
        - required: false
          schema:
            type: string
          name: counterpart_name__icontains
          in: query
        - required: false
          schema:
            type: boolean
          name: is_vendor
          in: query
        - required: false
          schema:
            type: boolean
          name: is_customer
          in: query
        - required: false
          schema:
            type: string
          name: email
          in: query
        - required: false
          schema:
            type: string
            format: date-time
          name: created_at__gt
          in: query
        - required: false
          schema:
            type: string
            format: date-time
          name: created_at__lt
          in: query
        - required: false
          schema:
            type: string
            format: date-time
          name: created_at__gte
          in: query
        - required: false
          schema:
            type: string
            format: date-time
          name: created_at__lte
          in: query
        - required: false
          schema:
            type: string
          name: address.country
          in: query
        - required: false
          schema:
            type: string
          name: address.city
          in: query
        - required: false
          schema:
            type: string
          name: address.postal_code
          in: query
        - required: false
          schema:
            type: string
          name: address.state
          in: query
        - required: false
          schema:
            type: string
          name: address.line1
          in: query
        - required: false
          schema:
            type: string
          name: address.line2
          in: query
        - required: false
          schema:
            items:
              type: string
              format: uuid
            type: array
          name: tag_ids__in
          in: query
        - description: The ID of the entity that owns the requested resource.
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          name: x-organization-id
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CounterpartPaginationResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrderEnum:
      type: string
      enum:
        - asc
        - desc
    CounterpartCursorFields:
      type: string
      enum:
        - counterpart_name
    CounterpartType:
      type: string
      enum:
        - individual
        - organization
    CounterpartPaginationResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CounterpartResponse'
          type: array
        next_pagination_token:
          type: string
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the next page of results, or `null` if there is no next page
            (i.e. you've reached the last page).
        prev_pagination_token:
          type: string
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the previous page of results, or `null` if there is no
            previous page (i.e. you've reached the first page).
      type: object
      required:
        - data
      description: A paginated list of counterparts
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CounterpartResponse:
      anyOf:
        - $ref: '#/components/schemas/CounterpartIndividualRootResponse'
        - $ref: '#/components/schemas/CounterpartOrganizationRootResponse'
      description: >-
        A Counterpart object contains information about an organization
        (juridical person) or

        individual (natural person) that provides goods and services to or buys
        them from an

        [SME](https://docs.monite.com/docs/glossary#sme).
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    CounterpartIndividualRootResponse:
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the counterpart.
        created_at:
          type: string
          format: date-time
          description: >-
            Date and time when the counterpart was created. Timestamps follow
            the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
        updated_at:
          type: string
          format: date-time
          description: >-
            Date and time when the counterpart was last updated. Timestamps
            follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
            standard.
        created_automatically:
          type: boolean
          description: >-
            `true` if the counterpart was created automatically by Monite when
            processing incoming invoices with OCR. `false` if the counterpart
            was created by the API client.
          default: false
        created_by_entity_user_id:
          type: string
          format: uuid
          description: Entity user ID of counterpart creator.
        default_billing_address_id:
          type: string
          format: uuid
          description: >-
            ID of the counterpart's billing address. If the counterpart is
            US-based and needs to accept ACH payments, this address must have
            all fields filled in. If `default_billing_address_id` is not
            defined, the default address is instead used as the billing address
            for ACH payments.
        default_shipping_address_id:
          type: string
          format: uuid
          description: ID of the shipping address.
        external_reference:
          type: string
          maxLength: 255
          minLength: 1
          description: >-
            A user-defined identifier of the counterpart. For example, the
            customer or vendor reference number in the entity's CRM system. If
            specified, it will be displayed in PDF invoices and other accounts
            receivable documents created by the entity.
          example: '123456789'
        individual:
          $ref: '#/components/schemas/CounterpartIndividualResponse'
        is_customer:
          type: boolean
          description: Indicates if the counterpart is a customer.
        is_vendor:
          type: boolean
          description: Indicates if the counterpart is a vendor.
        language:
          allOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
          description: The language used to generate PDF documents for this counterpart.
        reminders_enabled:
          type: boolean
        tax_id:
          type: string
          maxLength: 30
          description: The counterpart's taxpayer identification number or tax ID.
        type:
          allOf:
            - $ref: '#/components/schemas/CounterpartType'
          description: >-
            The counterpart type: `organization` (juridical person) or
            `individual` (natural person).
      type: object
      required:
        - id
        - created_at
        - updated_at
        - individual
        - is_customer
        - is_vendor
        - type
      description: Represents counterparts that are individuals (natural persons).
    CounterpartOrganizationRootResponse:
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the counterpart.
        created_at:
          type: string
          format: date-time
          description: >-
            Date and time when the counterpart was created. Timestamps follow
            the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
        updated_at:
          type: string
          format: date-time
          description: >-
            Date and time when the counterpart was last updated. Timestamps
            follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
            standard.
        created_automatically:
          type: boolean
          description: >-
            `true` if the counterpart was created automatically by Monite when
            processing incoming invoices with OCR. `false` if the counterpart
            was created by the API client.
          default: false
        created_by_entity_user_id:
          type: string
          format: uuid
          description: Entity user ID of counterpart creator.
        default_billing_address_id:
          type: string
          format: uuid
          description: >-
            ID of the counterpart's billing address. If the counterpart is
            US-based and needs to accept ACH payments, this address must have
            all fields filled in. If `default_billing_address_id` is not
            defined, the default address is instead used as the billing address
            for ACH payments.
        default_shipping_address_id:
          type: string
          format: uuid
          description: ID of the shipping address.
        external_reference:
          type: string
          maxLength: 255
          minLength: 1
          description: >-
            A user-defined identifier of the counterpart. For example, the
            customer or vendor reference number in the entity's CRM system. If
            specified, it will be displayed in PDF invoices and other accounts
            receivable documents created by the entity.
          example: '123456789'
        is_customer:
          type: boolean
          description: Indicates if the counterpart is a customer.
        is_vendor:
          type: boolean
          description: Indicates if the counterpart is a vendor.
        language:
          allOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
          description: The language used to generate PDF documents for this counterpart.
        organization:
          $ref: '#/components/schemas/CounterpartOrganizationResponse'
        reminders_enabled:
          type: boolean
        tax_id:
          type: string
          maxLength: 30
          description: The counterpart's taxpayer identification number or tax ID.
        type:
          allOf:
            - $ref: '#/components/schemas/CounterpartType'
          description: >-
            The counterpart type: `organization` (juridical person) or
            `individual` (natural person).
      type: object
      required:
        - id
        - created_at
        - updated_at
        - is_customer
        - is_vendor
        - organization
        - type
      description: Represents counterparts that are organizations (juridical persons).
    CounterpartIndividualResponse:
      properties:
        email:
          type: string
          format: email
          description: The person's email address.
          example: asingh@example.net
        first_name:
          type: string
          minLength: 1
          description: The person's first name.
          example: Adnan
        is_customer:
          type: boolean
          description: Indicates if the counterpart is a customer.
        is_vendor:
          type: boolean
          description: Indicates if the counterpart is a vendor.
        last_name:
          type: string
          minLength: 1
          description: The person's last name.
          example: Singh
        phone:
          type: string
          description: The person's phone number.
          example: '5553211234'
        tags:
          items:
            $ref: '#/components/schemas/CounterpartTagSchema'
          type: array
          description: The list of tags for this counterpart.
        title:
          type: string
          description: 'The person''s title or honorific. Examples: Mr., Ms., Dr., Prof.'
          example: Mr.
      type: object
      required:
        - first_name
        - is_customer
        - is_vendor
        - last_name
    LanguageCodeEnum:
      type: string
      enum:
        - ab
        - aa
        - af
        - ak
        - sq
        - am
        - ar
        - an
        - hy
        - av
        - ae
        - ay
        - az
        - bm
        - ba
        - eu
        - be
        - bn
        - bi
        - bs
        - br
        - bg
        - my
        - ca
        - ch
        - ce
        - ny
        - zh
        - cu
        - cv
        - kw
        - co
        - cr
        - hr
        - cs
        - da
        - dv
        - nl
        - dz
        - en
        - eo
        - et
        - ee
        - fo
        - fj
        - fi
        - fr
        - fy
        - ff
        - gd
        - gl
        - lg
        - ka
        - de
        - el
        - kl
        - gn
        - gu
        - ht
        - ha
        - he
        - hz
        - hi
        - ho
        - hu
        - io
        - ig
        - id
        - ia
        - ie
        - iu
        - ik
        - ga
        - it
        - ja
        - jv
        - kn
        - kr
        - ks
        - kk
        - km
        - ki
        - rw
        - ky
        - kv
        - kg
        - ko
        - kj
        - ku
        - lo
        - la
        - lv
        - li
        - ln
        - lt
        - lu
        - lb
        - mk
        - mg
        - ms
        - ml
        - mt
        - gv
        - mi
        - mr
        - mh
        - mn
        - na
        - nv
        - nd
        - nr
        - ng
        - ne
        - 'no'
        - nb
        - nn
        - ii
        - oc
        - oj
        - om
        - os
        - pi
        - ps
        - fa
        - pl
        - pt
        - pa
        - qu
        - ro
        - rm
        - rn
        - ru
        - se
        - sm
        - sg
        - sa
        - sc
        - sr
        - sn
        - sd
        - si
        - sk
        - sl
        - so
        - st
        - es
        - su
        - sw
        - ss
        - sv
        - tl
        - ty
        - tg
        - ta
        - tt
        - te
        - th
        - bo
        - ti
        - to
        - ts
        - tn
        - tr
        - tk
        - tw
        - ug
        - uk
        - ur
        - uz
        - ve
        - vi
        - vo
        - wa
        - cy
        - wo
        - xh
        - yi
        - yo
        - za
        - zu
    CounterpartOrganizationResponse:
      properties:
        email:
          type: string
          format: email
          description: The email address of the organization
          example: acme@example.com
        is_customer:
          type: boolean
          description: Indicates if the counterpart is a customer.
        is_vendor:
          type: boolean
          description: Indicates if the counterpart is a vendor.
        legal_name:
          type: string
          description: The legal name of the organization.
          example: Acme Inc.
        phone:
          type: string
          description: The phone number of the organization
          example: '5551231234'
        tags:
          items:
            $ref: '#/components/schemas/CounterpartTagSchema'
          type: array
          description: The list of tags for this counterpart.
      type: object
      required:
        - is_customer
        - is_vendor
        - legal_name
    CounterpartTagSchema:
      properties:
        id:
          type: string
          format: uuid
          description: A unique ID of this tag.
          example: ea837e28-509b-4b6a-a600-d54b6aa0b1f5
        created_at:
          type: string
          format: date-time
          description: >-
            Date and time when the tag was created. Timestamps follow the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
          example: '2022-09-07T16:35:18.484507+00:00'
        updated_at:
          type: string
          format: date-time
          description: >-
            Date and time when the tag was last updated. Timestamps follow the
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
          example: '2022-09-07T16:35:18.484507+00:00'
        category:
          allOf:
            - $ref: '#/components/schemas/TagCategory'
          description: The tag category.
          example: department
        created_by_entity_user_id:
          type: string
          format: uuid
          description: ID of the user who created the tag.
          example: ea837e28-509b-4b6a-a600-d54b6aa0b1f5
        description:
          type: string
          maxLength: 255
          minLength: 1
          description: The tag description.
          example: Tag for the Marketing Department
        name:
          type: string
          description: The tag name.
          example: Marketing
      type: object
      required:
        - id
        - created_at
        - updated_at
        - name
      description: >-
        Represents a user-defined tag that can be assigned to resources to
        filter them.
    TagCategory:
      type: string
      enum:
        - document_type
        - department
        - project
        - cost_center
        - vendor_type
        - payment_method
        - approval_status
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````